const fs = require('fs').promises;

const input: string = (await fs.readFile('./input.txt')).toString()

console.log("Solution first part: " + partOne())


function partOne(): string {
	let digits = []
	for (const line of input.split('\n')) {
		let first = undefined
		let last = undefined
		for (const char of line) {
			const digit = parseInt(char)
			if (!Number.isNaN(digit)) {
				if (first === undefined) {
					first = digit
				}
				last = digit
			}
		}
		digits.push(parseInt(`${first}${last}`))
	}
	let sum = digits.reduce((acc, item) => {
		return acc += item
	})
	return `${sum}`
}

function partTwo() {}